<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Package org.apache.poi.ss.formula.eval (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.poi.ss.formula.eval (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/eval/package-use.html"
               target="_top">Frames</a></li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Uses of Package org.apache.poi.ss.formula.eval" class="title">Uses of Package<br>org.apache.poi.ss.formula.eval
    </h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/ss/formula/eval/package-summary.html">org.apache.poi.ss.formula.eval</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula">org.apache.poi.ss.formula</a></td>
                    <td class="colLast">
                        <div class="block">This package contains common internal POI code for manipulating formulas.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula.atp">org.apache.poi.ss.formula.atp</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula.eval">org.apache.poi.ss.formula.eval</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula.eval.forked">org.apache.poi.ss.formula.eval.forked</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula.functions">org.apache.poi.ss.formula.functions</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.formula">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../../org/apache/poi/ss/formula/eval/package-summary.html">org.apache.poi.ss.formula.eval</a> used by <a
                        href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/class-use/AreaEval.html#org.apache.poi.ss.formula">AreaEval</a>
                        <div class="block">Evaluation of 2D (Row+Column) and 3D (Sheet+Row+Column) areas</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/class-use/AreaEvalBase.html#org.apache.poi.ss.formula">AreaEvalBase</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/class-use/RefEval.html#org.apache.poi.ss.formula">RefEval</a>
                        <div class="block">RefEval is the super interface for Ref2D and Ref3DEval.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/class-use/RefEvalBase.html#org.apache.poi.ss.formula">RefEvalBase</a>
                        <div class="block">Common base class for implementors of <a
                                href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html"
                                title="interface in org.apache.poi.ss.formula.eval"><code>RefEval</code></a></div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/class-use/ValueEval.html#org.apache.poi.ss.formula">ValueEval</a>&nbsp;
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.formula.atp">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../../org/apache/poi/ss/formula/eval/package-summary.html">org.apache.poi.ss.formula.eval</a> used by <a
                        href="../../../../../../org/apache/poi/ss/formula/atp/package-summary.html">org.apache.poi.ss.formula.atp</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/class-use/EvaluationException.html#org.apache.poi.ss.formula.atp">EvaluationException</a>
                        <div class="block">This class is used to simplify error handling logic <i>within</i> operator
                            and function
                            implementations.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.formula.eval">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../../org/apache/poi/ss/formula/eval/package-summary.html">org.apache.poi.ss.formula.eval</a> used by <a
                        href="../../../../../../org/apache/poi/ss/formula/eval/package-summary.html">org.apache.poi.ss.formula.eval</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/class-use/AreaEval.html#org.apache.poi.ss.formula.eval">AreaEval</a>
                        <div class="block">Evaluation of 2D (Row+Column) and 3D (Sheet+Row+Column) areas</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/class-use/BlankEval.html#org.apache.poi.ss.formula.eval">BlankEval</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/class-use/BoolEval.html#org.apache.poi.ss.formula.eval">BoolEval</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/class-use/ErrorEval.html#org.apache.poi.ss.formula.eval">ErrorEval</a>
                        <div class="block">Evaluations for formula errors</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/class-use/EvaluationException.html#org.apache.poi.ss.formula.eval">EvaluationException</a>
                        <div class="block">This class is used to simplify error handling logic <i>within</i> operator
                            and function
                            implementations.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/class-use/MissingArgEval.html#org.apache.poi.ss.formula.eval">MissingArgEval</a>
                        <div class="block">Represents the (intermediate) evaluated result of a missing function
                            argument.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/class-use/NotImplementedException.html#org.apache.poi.ss.formula.eval">NotImplementedException</a>
                        <div class="block">An exception thrown by implementors of <a
                                href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                title="interface in org.apache.poi.ss.usermodel"><code>FormulaEvaluator</code></a>,
                            when attempting to evaluate a formula which requires features
                            that POI does not (yet) support.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/class-use/NumberEval.html#org.apache.poi.ss.formula.eval">NumberEval</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/class-use/NumericValueEval.html#org.apache.poi.ss.formula.eval">NumericValueEval</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/class-use/RefEval.html#org.apache.poi.ss.formula.eval">RefEval</a>
                        <div class="block">RefEval is the super interface for Ref2D and Ref3DEval.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/class-use/StringEval.html#org.apache.poi.ss.formula.eval">StringEval</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/class-use/StringValueEval.html#org.apache.poi.ss.formula.eval">StringValueEval</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/class-use/ValueEval.html#org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.formula.eval.forked">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../../org/apache/poi/ss/formula/eval/package-summary.html">org.apache.poi.ss.formula.eval</a> used by <a
                        href="../../../../../../org/apache/poi/ss/formula/eval/forked/package-summary.html">org.apache.poi.ss.formula.eval.forked</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/class-use/ValueEval.html#org.apache.poi.ss.formula.eval.forked">ValueEval</a>&nbsp;
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.formula.functions">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../../org/apache/poi/ss/formula/eval/package-summary.html">org.apache.poi.ss.formula.eval</a> used by <a
                        href="../../../../../../org/apache/poi/ss/formula/functions/package-summary.html">org.apache.poi.ss.formula.functions</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/class-use/EvaluationException.html#org.apache.poi.ss.formula.functions">EvaluationException</a>
                        <div class="block">This class is used to simplify error handling logic <i>within</i> operator
                            and function
                            implementations.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/class-use/ValueEval.html#org.apache.poi.ss.formula.functions">ValueEval</a>&nbsp;
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/eval/package-use.html"
               target="_top">Frames</a></li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
